Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | Public Attributes | List of all members
cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params Struct Reference

`#include <device_gemm_traits.h>`

## Public Member Functions
| Params ()
| ctor More...
| Params (Index m_, Index n_, Index k_)
| ctor More...
void | init_problem (Index m_, Index n_, Index k_)
| init problem is needed if using default ctor More...
int | initialize (Scalar alpha_, ScalarA const *d_a_, Index lda_, ScalarB const *d_b_, Index ldb_, Scalar beta_, ScalarC const *d_c_, Index ldc_, ScalarD *d_d_, Index ldd_, ScalarAccum *workspace_ptr_)
int | required_workspace_memory_in_byte ()

## Public Attributes
GemmCoord | problem_size
| The dimensions of the GEMM in K, N, M order. More...
bool | problem_size_initialized
| Check if params are init. More...
ScalarAccum * | workspace_ptr
| The pointer to workspace memory. More...
int | workspace_size
GemmTraits::Params | GemmParams
| The Params for the first kernel. More...
ReductionTraits::Params | ReductionParams
| The Params for the second kernel. More...

## Constructor & Destructor Documentation

## ◆ Params() [1/2]

template<typename GemmTraits_ , typename ReductionTraits_ >

cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::Params | ( |  | ) |
| inline

## ◆ Params() [2/2]

template<typename GemmTraits_ , typename ReductionTraits_ >

cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::Params | ( | Index | m_,
|  | Index | n_,
|  | Index | k_
| ) |  |
| inline

## Member Function Documentation

## ◆ init_problem()

template<typename GemmTraits_ , typename ReductionTraits_ >

void cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::init_problem | ( | Index | m_,
|  | Index | n_,
|  | Index | k_
| ) |  |
| inline

## ◆ initialize()

template<typename GemmTraits_ , typename ReductionTraits_ >

int cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::initialize | ( | Scalar | alpha_,
|  | ScalarA const * | d_a_,
|  | Index | lda_,
|  | ScalarB const * | d_b_,
|  | Index | ldb_,
|  | Scalar | beta_,
|  | ScalarC const * | d_c_,
|  | Index | ldc_,
|  | ScalarD * | d_d_,
|  | Index | ldd_,
|  | ScalarAccum * | workspace_ptr_
| ) |  |
| inline

## ◆ required_workspace_memory_in_byte()

template<typename GemmTraits_ , typename ReductionTraits_ >

int cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::required_workspace_memory_in_byte | ( |  | ) |
| inline

## Member Data Documentation

## ◆ GemmParams

template<typename GemmTraits_ , typename ReductionTraits_ >

GemmTraits::Params cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::GemmParams

## ◆ problem_size

template<typename GemmTraits_ , typename ReductionTraits_ >

GemmCoord cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::problem_size

## ◆ problem_size_initialized

template<typename GemmTraits_ , typename ReductionTraits_ >

bool cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::problem_size_initialized

## ◆ ReductionParams

template<typename GemmTraits_ , typename ReductionTraits_ >

ReductionTraits::Params cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::ReductionParams

## ◆ workspace_ptr

template<typename GemmTraits_ , typename ReductionTraits_ >

ScalarAccum* cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::workspace_ptr

## ◆ workspace_size

template<typename GemmTraits_ , typename ReductionTraits_ >

int cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Params::workspace_size

The documentation for this struct was generated from the following file:

- device_gemm_traits.h